Last Comment Bug 635923 - Cannot build xulrunner on Windows 64-bit
: Cannot build xulrunner on Windows 64-bit
Status: RESOLVED FIXED
[win64][xulrunner]
:
Product: Core Graveyard
Classification: Graveyard
Component: Embedding: MFC Embed (show other bugs)
: Trunk
: x86_64 Windows Server 2008
: -- normal (vote)
: mozilla7
Assigned To: Makoto Kato [:m_kato] (PTO 6/20-21, 6/24)
:
Mentors:
Depends on:
Blocks: tracking_win64 575912
  Show dependency treegraph
 
Reported: 2011-02-22 10:23 PST by Armen Zambrano [:armenzg] - Engineering productivity
Modified: 2016-06-23 14:35 PDT (History)
6 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
fix (2.26 KB, patch)
2011-06-16 21:21 PDT, Makoto Kato [:m_kato] (PTO 6/20-21, 6/24)
benjamin: review+
Details | Diff | Review

Description Armen Zambrano [:armenzg] - Engineering productivity 2011-02-22 10:23:43 PST
This is the mozconfig used:
http://hg.mozilla.org/users/armenzg_mozilla.com/buildbot-configs/file/tip/mozilla2/win64/mozilla-central/xulrunner/mozconfig

> ac_add_options --target=x86_64-pc-mingw32
> ac_add_options --host=x86_64-pc-mingw32
> 
> export MOZILLA_OFFICIAL=1
> export JAVA_HOME=/d/jdk1.6.0_14
> 
> # For NSS symbols
> ac_add_options --enable-debug-symbols
> 
> ac_add_options --enable-application=xulrunner
> ac_add_options --enable-jemalloc
> ac_add_options --disable-installer
> ac_add_options --disable-tests
> 
> # This is for determining to use -j4 or -j1 depending on the machine type
> . $topsrcdir/configs/mozilla2/win32/include/choose-make-flags



creating xulrunner/tools/redit/Makefile
make[5]: Entering directory `/e/builds/moz2_slave/cen-win64-xr/build/obj-firefox/xulrunner/tools/redit'
Creating /e/builds/moz2_slave/cen-win64-xr/build/obj-firefox/xulrunner/tools/redit/.deps
make[5]: Leaving directory `/e/builds/moz2_slave/cen-win64-xr/build/obj-firefox/xulrunner/tools/redit'
make[4]: Leaving directory `/e/builds/moz2_slave/cen-win64-xr/build/obj-firefox/xulrunner'
make[3]: Leaving directory `/e/builds/moz2_slave/cen-win64-xr/build/obj-firefox'
make libs_tier_app
make[3]: Entering directory `/e/builds/moz2_slave/cen-win64-xr/build/obj-firefox'
libs_tier_app
make[4]: Entering directory `/e/builds/moz2_slave/cen-win64-xr/build/obj-firefox'
make[4]: `embedding/tests/Makefile' is up to date.
make[4]: `xulrunner/Makefile' is up to date.
make[4]: Leaving directory `/e/builds/moz2_slave/cen-win64-xr/build/obj-firefox'
make[4]: Entering directory `/e/builds/moz2_slave/cen-win64-xr/build/obj-firefox/embedding/tests'
make[5]: Entering directory `/e/builds/moz2_slave/cen-win64-xr/build/obj-firefox/embedding/tests/winEmbed'
winEmbed.cpp
d:/mozilla-build/python/python2.6.exe -O e:/builds/moz2_slave/cen-win64-xr/build/build/cl.py cl -FowinEmbed.obj -c   -DXPCOM_GLUE -DXPI_NAME=winembed -DOSTYPE=\"WINNT6.1\" -DOSARCH=WINNT -I/e/builds/moz2_slave/cen-win64-xr/build/embedding/tests/winEmbed -I/e/builds/moz2_slave/cen-win64-xr/build/embedding/tests/winEmbed -I. -I../../../dist/include -I../../../dist/include/nsprpub  -Ie:/builds/moz2_slave/cen-win64-xr/build/obj-firefox/dist/include/nspr -Ie:/builds/moz2_slave/cen-win64-xr/build/obj-firefox/dist/include/nss         -GR- -TP -nologo -Zc:wchar_t- -W3 -Gy -Fdgenerated.pdb -wd4800  -DNDEBUG -DTRIMMED -Zi -Zi -UDEBUG -DNDEBUG -O1 -MD            -FI ../../../dist/include/mozilla-config.h -DMOZILLA_CLIENT /e/builds/moz2_slave/cen-win64-xr/build/embedding/tests/winEmbed/winEmbed.cpp
winEmbed.cpp

e:\builds\moz2_slave\cen-win64-xr\build\obj-firefox\dist\include\nsStringAPI.h(1277) : warning C4244: 'argument' : conversion from '__int64' to 'PRUint32', possible loss of data

e:\builds\moz2_slave\cen-win64-xr\build\obj-firefox\dist\include\nsStringAPI.h(1315) : warning C4244: 'argument' : conversion from '__int64' to 'PRUint32', possible loss of data

e:/builds/moz2_slave/cen-win64-xr/build/embedding/tests/winEmbed/winEmbed.cpp(900) : error C2065: 'GWL_USERDATA' : undeclared identifier

e:/builds/moz2_slave/cen-win64-xr/build/embedding/tests/winEmbed/winEmbed.cpp(1080) : warning C4267: 'initializing' : conversion from 'size_t' to 'int', possible loss of data

e:/builds/moz2_slave/cen-win64-xr/build/embedding/tests/winEmbed/winEmbed.cpp(1156) : warning C4244: 'return' : conversion from 'WPARAM' to 'PRUint32', possible loss of data

make[5]: Leaving directory `/e/builds/moz2_slave/cen-win64-xr/build/obj-firefox/embedding/tests/winEmbed'
make[4]: Leaving directory `/e/builds/moz2_slave/cen-win64-xr/build/obj-firefox/embedding/tests'
make[3]: Leaving directory `/e/builds/moz2_slave/cen-win64-xr/build/obj-firefox'
make[2]: Leaving directory `/e/builds/moz2_slave/cen-win64-xr/build/obj-firefox'
make[1]: Leaving directory `/e/builds/moz2_slave/cen-win64-xr/build/obj-firefox'
make[5]: *** [winEmbed.obj] Error 2
make[4]: *** [libs] Error 2
make[3]: *** [libs_tier_app] Error 2
make[2]: *** [tier_app] Error 2
make[1]: *** [default] Error 2
make: *** [build] Error 2
Comment 1 Ted Mielczarek [:ted.mielczarek] 2011-02-22 10:32:49 PST
I dunno where winEmbed bugs get filed, (/dev/null?) but that's what this is.
Comment 2 Armen Zambrano [:armenzg] - Engineering productivity 2011-06-16 13:49:43 PDT
Who shall I poke about this?
Comment 3 Makoto Kato [:m_kato] (PTO 6/20-21, 6/24) 2011-06-16 21:21:37 PDT
Created attachment 539984 [details] [diff] [review]
fix
Comment 4 Makoto Kato [:m_kato] (PTO 6/20-21, 6/24) 2011-06-16 21:23:45 PDT
Comment on attachment 539984 [details] [diff] [review]
fix

Or should I remove winEmbed?
Comment 5 Makoto Kato [:m_kato] (PTO 6/20-21, 6/24) 2011-06-19 19:30:58 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/24a32ce76a5d
Comment 6 Mounir Lamouri (:mounir) 2011-06-20 08:51:43 PDT
Merged:
http://hg.mozilla.org/mozilla-central/rev/24a32ce76a5d

Note You need to log in before you can comment on or make changes to this bug.